"use strict";

const either = require("@validatem/either");

// FIXME: Maybe change this to include auto-wrapping strings, and change/reorder is-value-expression to prioritize string literal wrapping instead?
module.exports = function (operations) {
	const isObjectType = require("./is-object-type")(operations);
	
	return either([
		[ isObjectType("field") ],
		[ isObjectType("remoteField") ],
	]);
};

